var fs = require("fs");
var path = require("path");
var basePath = require("./files-path");

module.exports = function(modIds){
	return Promise.all(modIds.split(",").map(function(modId){
		return new Promise(function(resolve, reject){
			fs.readFile(path.join(basePath, modId), "utf8", function(err, content){
				if(err){
					reject(err);
				}else{
					resolve(content.split('//# sourceMappingURL=data:application/json;charset=utf-8;')[0]);
				}
			});
		});
	})).then(function(contents){
		return contents.join("\n");
	});
};