## 简易的数据库服务
目前不支持多库，不支持跨表联合查询
### 连接/断开数据库
#### 连接
```javascript
var db = DBClient.db("ip:port");
```
#### 断开
```javascript
db.close();
```
### 表操作
#### 创建表
```javascript
db.createTable(tableName, columns);
```
#### 使用表
```javascript
var table = db.useTable(tableName);
```
#### 删除表
```javascript
db.deleteTable(tableName);
```
### 常用数据操作
#### 查询
```javascript
table.select(columns, where);
```
#### 插入数据
```javascript
table.insert(values);
```
#### 更新
```javascript
table.update(sets, where);
```
#### 删除
```javascript
table.delete(where);
```
### where语句